package com.ylcm.sys.enums;

public enum AdSpecialShowEnvEnum {
	
	FILM(0, "电影"),
	TV(1,"电视剧"),
	VARIETY_SHOWS(2, "综艺"), 
	SPECIAL(3, "专题"),   
	COLUMN(4, "栏目"), 
	DOCUMENTARY(5, "纪录片"),
	WEATHER_FORECAST(6, "天气预报"),
	SKETCH(7, "小品"),
	CARTOON(8, "动画"),
	NEWS(9, "新闻"),
	AD_SHOWS(10, "广告片"),
	PROPAGANDA_SHOWS(11, "宣传片"),
	NOTICE_SHOWS(12, "预告片"),
	PUBLIC_WELFARE_SHOWS(13, "公益广告"),
    MUSIC(14, "音乐"),
    SPORTS(15, "体育"),
    FINANCE_AND_ECONOMICS(16, "财经"),
    THEATRE(17, "戏剧"),
    OTHER(18, "其他"),
    ;

    private Integer code;
    private String name;

    AdSpecialShowEnvEnum(Integer code, String name){
        this.code = code;
        this.name = name;
    }

    public Integer getCode() {
        return code;
    }

    public String getName() {
        return name;
    }
    
	public static String getMsgByVal(Integer val) {
		if(val == null){
			return "";
		}
		for (AdSpecialShowEnvEnum ele : values()) {
			if (ele.getCode().equals(val)) {
				return ele.getName();
			}
		}
		return "";
	}
    
}
